=== debian/control ===
Source: pure-xml
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libxml2-dev, libxslt1-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides an interface to the libxml2 and libxslt
 libraries from the GNOME project.
